{
	"format_version": "1.19.0",
	"animation_controllers": {
		"controller.animation.ar23.hold": {
			"states": {
				"default": {
					"transitions": [
						{"hold": "v.ar23"}
					],
					"blend_transition": 0.2
				},
				"hold": {
					"animations": [
						{"ar23_hold": "!v.is_first_person"},
						{"ar23_hold_fp": "v.is_first_person"}
					],
					"transitions": [
						{"scope": "v.ar23 && q.is_sneaking"},
						{"reload": "q.get_equipped_item_name == 'ar-23_reloading'"},
						{"default": "!v.ar23"},
						{"run": "v.ar23 && q.is_sprinting"},
						{"melee": "v.attack_time"}
					],
					"blend_transition": 0.15
				},
				"scope": {
					"animations": [
						{"ar23_aim": "!v.is_first_person"},
						{"ar23_aim_fp": "v.is_first_person"}
					],
					"transitions": [
						{"hold": "v.ar23 && !q.is_sneaking"},
						{"reload": "q.get_equipped_item_name == 'ar-23_reloading'"},
						{"default": "!v.ar23"},
						{"mode": "v.attack_time"}
					],
					"blend_transition": 0.15
				},
				"reload": {
					"animations": [
						{"ar23_reload_full": "!v.is_first_person && q.mark_variant==0"},
						{"ar23_reload_full_fp": "v.is_first_person && q.mark_variant==0"},
						{"ar23_reload_empty": "!v.is_first_person && q.mark_variant==1"},
						       {"ar23_reload_empty_fp": "v.is_first_person && q.mark_variant==1"}
					],
					"transitions": [
						{"hold": "v.ar23 &&  q.get_equipped_item_name != 'ar-23_reloading'"},
						{"scope": "v.ar23 && q.is_sneaking &&  q.get_equipped_item_name != 'ar-23_reloading'"},
						{"default": "!v.ar23"}
					],
					"blend_transition": 0.15
				},
				"run": {
					"animations": [
						{"ar23_run": "!v.is_first_person"},
						{"ar23_run_fp": "v.is_first_person"}
					],
					"transitions": [
						{"hold": "!q.is_sprinting && v.ar23"},
						{"default": "!v.ar23"},
						{"scope": "q.is_sneaking && v.ar23"},
						{"reload": "q.get_equipped_item_name=='ar-23_reloading'"}
					],
					"blend_transition": 0.15
				},
				"melee": {
					"animations": [
						{"ar23_melee": "!v.is_first_person"},
						{"ar23_melee_fp": "v.is_first_person"}
					],
					"transitions": [
						{"hold": "q.any_animation_finished"}
					]
				},
				"mode": {
					"animations": [
						{"ar23_mode": "!v.is_first_person"},
						{"ar23_mode_fp": "v.is_first_person"}
					],
					"transitions": [
						{"scope": "q.any_animation_finished"}
					]
				}
			}
		}
	}
}